Backwards Compatibility

Backwards Compatibility

  
Hi,

This could possibly be a stupid question however I thought I'd run it past you all:

I am currently developing a component I plan to publish to the Forge eventually using v8.0 of the Community Edition. Mainly because it was the only version available for download as far as I can see.

However I'd like the component to work on v7 of the Outsystems platform for various reasons - mostly because I can see the component being used at my place of employment where we have v7 deployed.

Would a compenent developed on v8 of the Community Edition work on a v7 platform? If not is there any way to ensure backwards compatibility or do I need to get the v7 Community Edition installer and develop on that?

Thanks,
Richard
Hi Richard,

There's no backport between versions. My suggestion is that you implement the component in version 7 that you have on your company and upload it to the forge with that version. Components you share on the Forge are cleared of IPP so you can download it afterwards and upgrade it to version 8 using the community edition and upload also that version of the component to the forge.

Cheers,
André
Thanks André I suspected that might be the case.

Is there by any chance a download link for v7 of the Community Edition anywhere?

Thanks,
Richard
Hi Richard,

Looks like you can still find it here http://download.cnet.com/OutSystems-Agile-Platform-Community-Edition/3000-10248_4-10969833.html

Cheers,
Tiago Simões
Brilliant.

Thanks Tiago!

Cheers,
Richard